import React, { ReactElement } from 'react';
import { ElementProps } from '../../utils/element-props';
export declare type SwiperRef = {
    swipeTo: (index: number) => void;
    swipeNext: () => void;
    swipePrev: () => void;
};
export declare type SwiperProps = {
    defaultIndex?: number;
    allowTouchMove?: boolean;
    autoplay?: boolean;
    autoplayInterval?: number;
    loop?: boolean;
    onIndexChange?: (index: number) => void;
    children?: ReactElement[];
} & ElementProps<'--height' | '--width'>;
export declare const Swiper: React.ForwardRefExoticComponent<{
    defaultIndex?: number | undefined;
    allowTouchMove?: boolean | undefined;
    autoplay?: boolean | undefined;
    autoplayInterval?: number | undefined;
    loop?: boolean | undefined;
    onIndexChange?: ((index: number) => void) | undefined;
    children?: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any> | null) | (new (props: any) => React.Component<any, any, any>)>[] | undefined;
} & ElementProps<"--height" | "--width"> & React.RefAttributes<SwiperRef>>;
